Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
ProtoTree Class Reference
Inheritance diagram for ProtoTree:

## Public Slots
void | setCaptureFile (capture_file *cf)
void | setMonospaceFont (const QFont &mono_font)
void | syncExpanded (const QModelIndex &index)
void | syncCollapsed (const QModelIndex &index)
void | expandSubtrees ()
void | collapseSubtrees ()
void | expandAll ()
void | collapseAll ()
void | itemDoubleClicked (const QModelIndex &index)
void | selectedFieldChanged (FieldInformation *)

## Signals
void | fieldSelected (FieldInformation *)
void | openPacketInNewWindow (bool)
void | goToPacket (int)
void | relatedFrame (int, ft_framenum_type_t)
void | showProtocolPreferences (const QString module_name)
void | editProtocolPreference (struct preference *pref, struct pref_module *module)

## Public Member Functions
| ProtoTree (QWidget *parent=0, epan_dissect_t *edt_fixed=0)
QMenu * | colorizeMenu ()
void | setRootNode (proto_node *root_node)
void | emitRelatedFrame (int related_frame, ft_framenum_type_t framenum_type=FT_FRAMENUM_NONE)
void | autoScrollTo (const QModelIndex &index)
void | goToHfid (int hfid)
void | clear ()
void | closeContextMenu ()
void | restoreSelectedField ()
const QString | toString (const QModelIndex &start_idx=QModelIndex()) const

## Protected Slots
void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected)

## Protected Member Functions
virtual void | contextMenuEvent (QContextMenuEvent *event)
virtual void | timerEvent (QTimerEvent *event)
virtual void | keyReleaseEvent (QKeyEvent *event)
virtual bool | eventFilter (QObject *obj, QEvent *ev)
virtual QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers)

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/proto_tree.h
- ui/qt/moc_proto_tree.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/proto_tree.cpp